Subject: Magic findBy methods in Doctrine\Repository do not return QueryResult

Description

Related issues:
related to TYPOS.Flow - Bug # 35035: Doctrine repository findAll is inconsistent Resolved 2012-03-20

Associated revisions

Revision 934c2c42 - 2012-07-18 16:06 - Karsten Dambekalns

["NIBUGFIX] Fix return values of Doctrine\Repository magic methods

Overrides __call from EntityRepository to make the methods return
the expected QueryResultinterface. Also adds support for countBy().

This is marked as a breaking change because if you relied on the
specific return values before, you need to adjust your code.

Along the way the code inside __call() is simplified.

Change-Id: 1ac08c917a07ceb679b09f254b1167401ced6c77¢
Fixes: #38841

Releases: 1.1, 1.2

Revision 53049d6c - 2012-07-18 16:46 - Karsten Dambekalns

[MNIBUGFIX] Fix return values of Doctrine\Repository magic methods

Overrides __call from EntityRepository to make the methods return
the expected QueryResultinterface. Also adds support for countBy().

This is marked as a breaking change because if you relied on the
specific return values before, you need to adjust your code.

Along the way the code inside __call() is simplified.
Change-Id: 1ac08c917a07ceb679b09f254b1167401ced6c77¢

Fixes: #38841
Releases: 1.1, 1.2

History
#1 - 2012-07-10 12:19 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12739

#2 - 2012-07-18 16:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12739

#3 - 2012-07-18 16:47 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/12877

#4 - 2012-07-18 16:49 - Karsten Dambekalns

- Status changed from Under Review to Resolved
- Target version changed from 1.1 to 1.1 RC2

- % Done changed from 0 to 100
